TESSELLATIONCONTROLSHADER(3CgFX)

NAME
TessellationControlShader - 3D API tessellation control shader

USAGE
TessellationControlShader = compile profile "-po profileOption" main(args);

VALID ENUMERANTS
shader: Null

DESCRIPTION
Compile a tessellation control shader. See the specification of the OpenGL tessellation control profile for details. See the specification of the Direct3D 11 hull shaders for details.

The standard reset callback sets the TessellationControlShader state to program(false).

OPENGL FUNCTIONALITY REQUIREMENTS
OpenGL 1.0

DIRECT3D FUNCTIONALITY REQUIREMENTS
DirectX 11

SEE ALSO
GeometryShader, PixelShader, TessellationEvaluationShader, VertexShader, FragmentProgram, GeometryProgram, TessellationControlProgram, TessellationEvaluationProgram, VertexProgram